package com.ssm.model.system;

import java.util.List;

import com.ssm.util.page.BaseEntity;


public class JsTree extends BaseEntity{
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	public int id;
	public String text;
	public String icon;
	public State state;
	public List<JsTree> children;
	public int getId() {
		return id;
	}
	public void setId(int id) {
		this.id = id;
	}
	public String getText() {
		return text;
	}
	public void setText(String text) {
		this.text = text;
	}
	public String getIcon() {
		return icon;
	}
	public void setIcon(String icon) {
		this.icon = icon;
	}
	
	public State getState() {
		return state;
	}
	public void setState(State state) {
		this.state = state;
	}
	public List<JsTree> getChildren() {
		return children;
	}
	public void setChildren(List<JsTree> children) {
		this.children = children;
	}
}
